---
title: My user manual
layout: page.njk
description: Some information and tips for working with me
permalink: /user-manual.html
---

I'm Lewis, a software engineer who primarily works on the web. I'm a generalist, so I don't have a preference for tech stack, although I typically find myself working with Typescript, Python, C#, and PHP.

When I build web pages and applications I'm a big believer in making things as accessible as possible - to mean this means making sure that the page contents are easy to navigate, and understand, and Javascript is only used to enhance a page, rather than be the core of it.

Outside of work, I'm a keen cyclist (and slightly less keen about how often I fall off), a Dad to a two-year-old. I love films, Ghostbusters is my all-time-favourite. I'm an avid reader - check out my [reading list](/reading-list) to see what I'm reading right now. I also do some small projects outside of work, which I try to [blog about](/blog).

## When I like to work

I tend to start work early - my hours are 7:30am - 3:30pm most days, unless there's a specific need for me to be in at different times. I can change these times on request, but ideally need notice so I can arrive later, otherwise it's a very long workday for me.

## How I work

I'm quite a collaborative person, so I do enjoy pairing and having someone to help work through problems with. However, I need to take frequent breaks to get the best out of me. I like 25-minute Pomos with 5-minute breaks, I've found that to be a pretty sustainable pace. If I've been doing a lot of pairing, I'll sometimes take a day or two of working on solo tasks to recharge.

I have inattentive-type ADHD, and while it's treated I still struggle with long meetings, especially if there's limited opportunity for me to interact, so they don't usually get the best out of me. I've found async communication and small group discussions as a much more effective way for me to work.

## Feedback

Please give me the feedback, as soon as possible. Unless it's a deeply personal insult, I promise I won't be offended. But also, if you see me doing something _good_ please tell me - I can be my own worst enemy so knowing when I'm doing something right can really boost my confidence.

## Supporting me

I sometimes find I take on more than I can handle, if it looks like maybe I'm too stressed, or I'm struggling please reach out and check in on me, it's definitely something I appreciate. Otherwise, I'll usually ask if there's something I need.
